description: The result returned by <a href="../../../google/generativeai/generate_text.md"><code>generativeai.generate_text</code></a>.

<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="google.generativeai.types.Completion" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="__eq__"/>
<meta itemprop="property" content="to_dict"/>
</div>

# google.generativeai.types.Completion

<!-- Insert buttons and diff -->

<table class="tfo-notebook-buttons tfo-api nocontent" align="left">
<td>
  <a target="_blank" href="https://github.com/google/generative-ai-python/blob/master/google/generativeai/types/text_types.py#L49-L75">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td>
</table>



The result returned by <a href="../../../google/generativeai/generate_text.md"><code>generativeai.generate_text</code></a>.

<!-- Placeholder for "Used in" -->

Use <a href="../../../google/generativeai/protos/GenerateTextResponse.md#candidates"><code>GenerateTextResponse.candidates</code></a> to access all the completions generated by the model.



<!-- Tabular view -->
 <table class="responsive fixed orange">
<colgroup><col width="214px"><col></colgroup>
<tr><th colspan="2"><h2 class="add-link">Attributes</h2></th></tr>

<tr>
<td>
`candidates`<a id="candidates"></a>
</td>
<td>
A list of candidate text completions generated by the model.
</td>
</tr><tr>
<td>
`result`<a id="result"></a>
</td>
<td>
The output of the first candidate,
</td>
</tr><tr>
<td>
`filters`<a id="filters"></a>
</td>
<td>
Indicates the reasons why content may have been blocked.
See <a href="../../../google/generativeai/types/BlockedReason.md"><code>types.BlockedReason</code></a>.
</td>
</tr><tr>
<td>
`safety_feedback`<a id="safety_feedback"></a>
</td>
<td>
Indicates which safety settings blocked content in this result.
</td>
</tr>
</table>



## Methods

<h3 id="to_dict"><code>to_dict</code></h3>

<a target="_blank" class="external" href="https://github.com/google/generative-ai-python/blob/master/google/generativeai/types/text_types.py#L69-L75">View source</a>

<pre class="devsite-click-to-copy prettyprint lang-py tfo-signature-link">
<code>to_dict() -> Dict[str, Any]
</code></pre>




<h3 id="__eq__"><code>__eq__</code></h3>

<pre class="devsite-click-to-copy prettyprint lang-py tfo-signature-link">
<code>__eq__(
    other
)
</code></pre>

Return self==value.




